package com.izouma.awesomeadmin.service;


import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UsersSession;

import java.util.List;

public interface UsersSessionService {

    List<UsersSession> getUsersSessionList(UsersSession usersSession);


    List<UsersSession> queryAllUsersSessionByPage(Page page, UsersSession usersSession);


    List<UsersSession> getUsersSessionByPage(Page page, UsersSession usersSession);


    UsersSession getUsersSessionById(String id);


    UsersSession getUsersSession(UsersSession usersSession);


    boolean createUsersSession(UsersSession usersSession);


    boolean deleteUsersSession(String id);


    boolean updateUsersSession(UsersSession usersSession);

}
